package com.pas.web;

import org.jasypt.util.password.BasicPasswordEncryptor;
import org.jasypt.util.password.StrongPasswordEncryptor;

public class Utils {

	/**
	 * Obtener la contraseña enviada por parámetros en modo básico
	 * @param secret La contraseña enviada por el usuario
	 * @return
	 */
	public static String BasicEncrypt(String secret) {
		BasicPasswordEncryptor passwordEncryptor = new BasicPasswordEncryptor();
		return passwordEncryptor.encryptPassword(secret);
	}

	/**
	 * Obtener la contraseña enviada por parámetros en modo fuerte
	 * @param secret La contraseña enviada por el usuario
	 * @return
	 */
	public static String StrongEncrypt(String secret) {
		StrongPasswordEncryptor passwordEncryptor = new StrongPasswordEncryptor();
		return passwordEncryptor.encryptPassword(secret);
	}
	
	/**
	 * Permite comparar la contraseña dos textos, uno encriptado y otro sin encriptar
	 * @param inputPassword Texto sin encriptar
	 * @param encryptedPassword Texto encriptado
	 * @return
	 */
	public static boolean CheckPassword(String inputPassword, String encryptedPassword) {
		StrongPasswordEncryptor passwordEncryptor = new StrongPasswordEncryptor();
		return passwordEncryptor.checkPassword(inputPassword, encryptedPassword);
	}
}